IvyPatternRepositoryLayout (Gradle API 9.4.0)
Description: declaration: package: org.gradle.api.artifacts.repositories, interface: IvyPatternRepositoryLayout

Package org.gradle.api.artifacts.repositories

# Interface IvyPatternRepositoryLayout

All Superinterfaces:
  `RepositoryLayout`

public interface IvyPatternRepositoryLayout extends RepositoryLayout
A repository layout that uses user-supplied patterns. Each pattern will be appended to the base URI for the repository. At least one artifact pattern must be specified. If no Ivy patterns are specified, then the artifact patterns will be used. Optionally supports a Maven style layout for the 'organisation' part, replacing any dots with forward slashes. For examples see the reference for `IvyArtifactRepository.patternLayout(Action)`.

Since:
  2.3 (feature was already present in Groovy DSL, this type introduced in 2.3)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `artifact(String pattern)`
  Adds an Ivy artifact pattern to define where artifacts are located in this repository.
  `boolean`
  `getM2Compatible()`
  Tells whether a Maven style layout is to be used for the 'organisation' part, replacing any dots with forward slashes.
  `void`
  `ivy(String pattern)`
  Adds an Ivy pattern to define where ivy files are located in this repository.
  `void`
  `setM2compatible(boolean m2compatible)`
  Sets whether a Maven style layout is to be used for the 'organisation' part, replacing any dots with forward slashes.

- ## Method Details

  - ### artifact

    void artifact(String pattern)
    Adds an Ivy artifact pattern to define where artifacts are located in this repository.
    Parameters:
      `pattern` - The ivy pattern

  - ### ivy

    void ivy(String pattern)
    Adds an Ivy pattern to define where ivy files are located in this repository.
    Parameters:
      `pattern` - The ivy pattern

  - ### getM2Compatible

    boolean getM2Compatible()
    Tells whether a Maven style layout is to be used for the 'organisation' part, replacing any dots with forward slashes. Defaults to `false`.

  - ### setM2compatible

    void setM2compatible(boolean m2compatible)
    Sets whether a Maven style layout is to be used for the 'organisation' part, replacing any dots with forward slashes. Defaults to `false`.
    Parameters:
      `m2compatible` - whether a Maven style layout is to be used for the 'organisation' part